mail::IMAPCommand Class Reference

`#include <IMAPCommand.h>`

Inheritance diagram for mail::IMAPCommand:
[legend]
Collaboration diagram for mail::IMAPCommand:
[legend]

## Public Member Functions

virtual int | processCommand (std::string request, core::TCPSession *session, std::stringstream &data) override
virtual int | processCommand (coreutils::PString request, IMAPSession &session, std::stringstream &data)

## Member Function Documentation

## processCommand() [1/2]

virtual int mail::IMAPCommand::processCommand | ( | std::string | request,
|  | core::TCPSession * | session,
|  | std::stringstream & | data
| ) |  |

inlineoverridevirtual

## processCommand() [2/2]

virtual int mail::IMAPCommand::processCommand | ( | coreutils::PString | request,
|  | IMAPSession & | session,
|  | std::stringstream & | data
| ) |  |

inlinevirtual

The documentation for this class was generated from the following file:

- /home/bradarant/barant/BMAMail/IMAPCommand.h